(home)=

# PDAL - Point Data Abstraction Library

```{image} ./_static/pdal_logo.png
:align: right
:alt: PDAL logo
```

PDAL is a C++ library for translating and manipulating [point cloud
data][point cloud data].  It is very much like the [GDAL] library which handles raster and
vector data.  The {ref}`about` page provides high level overview of the library
and its philosophy. Visit {ref}`readers` and {ref}`writers` to list data
formats it supports, and see {ref}`filters` for filtering operations that you
can apply with PDAL.

In addition to the library code, PDAL provides a suite of command-line
applications that users can conveniently use to process, filter, translate, and
query point cloud data.  {ref}`apps` provides more information on that topic.

Finally, PDAL speaks Python by both embedding and extending it. Visit
{ref}`python` to find out how you can use PDAL with Python to process point
cloud data.

The entire website is available as a single PDF at <http://pdal.io/_/downloads/en/latest/pdf/>

## News

### **12-01-2024**

PDAL 2.8.2 was released. Visit {ref}`download` to grab a copy.

## Indices and tables

- {ref}`genindex`
- {ref}`search`

[brad chambers]: http://github.com/chambbj
[bsd]: http://www.opensource.org/licenses/bsd-license.php
[gdal]: http://www.gdal.org
[howard butler]: http://github.com/hobu
[lidar]: http://en.wikipedia.org/wiki/LIDAR
[point cloud data]: http://en.wikipedia.org/wiki/Point_cloud
